Foreman - Bug #5652

vmWare Compute Resources not being honored
05/09/2014 06:43 PM - marcelo veglienzone

Status: Closed

Priority: Normal

Assignee: Dominic Cleal

Category: Compute resources

Target version: 1.5.1

Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.5.0
Bugzilla link: 1107705 Red Hat JIRA:

Pull request:

Description

Description

Steps to reproduce:

Create a VMware compute resource

Create a compute profile without thin provisioning checked

Save

Open compute profile again

Expected results:

when | open the compute profile, thin provisioning should not be checked

When | create a new host based on the compute profile, thin provisioning should not be checked
Actual results:

when | open the compute profile, thin provisioning is checked.

When | create a new host based on the compute profile, thin provisioning is checked

This behavior is seen accross most resources, NIC type, SCSI controller
The strange thing is that according to the production.log it seems we are actually changing the parameters:

Started PUT "/compute_profiles/5-redhat-6/compute_attributes/3" for 10.135.76.203 at 2014-05-09 13:31:14 -0500

Processing by ComputeAttributesController#update as */*

Parameters: {"utf8"=>"a", "authenticity_token"=>"Ro9asdf62U4a0tUdm30G7asdghM7aW9asdfCZU/2KIbdf0573AavM=",
"compute_attribute"=>{"vm_attrs"=>{"cpus"=>"1", "corespersocket"=>"1", "memory_mb"=>"1024", "cluster"=>"Cluster-A",
"path"=>"/Datacenters/Cluster-A/vm", "guest_id"=>"rhel6_64Guest",
"interfaces_attributes"=>{"new_interfaces"=>{"type"=>"VirtualE1000", "network"=>"network-1615", "_delete"=>""},
"0"=>{"type"=>"VirtualVmxnet3", "network"=>"network-109344", "_delete"=>""}},
"volumes_attributes"=>{"new_volumes"=>{"datastore"=>"esxhostA:Storage", "name"=>"Hard disk", "size_gb"=>"10", "thin"=>"true",
"_delete"=>""}, "0"=>{"datastore"=>"esxhostA:Storage", "name"=>"Hard disk", "size_gb"=>"10", "thin"=>"false", "_delete"=>""}},
"scsi_controller_type"=>"ParaVirtualSCSIController", "image_id"=>"Templates/UNIX/RedHat/x86_64/6.5_x86_64"}},
"compute_profile_id"=>"5-redhat-6", "id"=>"3"}

Successfully decrypted field for Foreman::Model::Vmware vmware

Redirected to https:/foremanhost.com/compute profiles/5-redhat-6

Completed 302 Found in 66ms (ActiveRecord: 3.4ms)

This could be related to bug 4159

Related issues:

Related to Foreman - Bug #4159: Thin provisioning for VMware disks in compute... Closed 01/22/2014
Has duplicate Foreman - Bug #5676: VMware Compute Profile Can't Change Interface Duplicate 05/12/2014
Has duplicate Smart Proxy - Bug #5902: VMware profile for disk doesn't stick Duplicate 05/23/2014

Associated revisions

Revision 693391ba - 06/10/2014 01:14 PM - Dominic Cleal

fixes #5652 - run parse_args when calling new_vm for compute profiles
https://foremanhost.com/compute_profiles/5-redhat-6

Revision 8ed9df68 - 06/11/2014 01:02 PM - Dominic Cleal

fixes #5652 - run parse_args when calling new_vm for compute profiles

(cherry picked from commit 693391babe939cc27f30889ea83d506102d36dcf)

History

#1 - 05/12/2014 08:52 AM - Dominic Cleal

- Related to Bug #4159: Thin provisioning for VMware disks in compute profiles can't be saved added

#2 - 05/12/2014 09:06 AM - Dominic Cleal

- translation missing: en.field_release set to 16

#3 - 05/12/2014 09:28 AM - Dominic Cleal
- Status changed from New to Assigned
- Assignee set to Dominic Cleal

- Target version set to 1.8.3

#4 - 05/12/2014 01:35 PM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1436

#5 - 05/12/2014 02:32 PM - Dominic Cleal
- Has duplicate Bug #5676: VMware Compute Profile Can't Change Interface added

#6 - 05/19/2014 12:42 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#7 - 05/23/2014 09:39 AM - Dominic Cleal
- Has duplicate Bug #5902: VMware profile for disk doesn't stick added

#8 - 06/10/2014 12:54 PM - Bryan Kearney
- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107705

#9 - 06/10/2014 01:31 PM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 693391babe939cc27f30889ea83d506102d36dcf.
